<?php
// Ścieżka do katalogu, w którym przechowywana jest biblioteka nusoap
set_include_path('../libs/nusoap');

// Dołączenie biblioteki nusoap
require_once('nusoap.php');

# Przykład wywołania metody getConfigProfiles, umożliwiającej pobranie zdefiniowanych profili konfiguracyjnych

$sLogin = ""; // Login konta w Postivo.pl
$sApiPass = ""; // Hasło dostępu do konta przez API

$iMsgType = 1; // Typ przesyłki (1-przesyłka listowa, 2-Fax)

// Utworzenie klienta SOAP:
$client = new nusoap_client("http://api.postivo.pl/webservices.php?wsdl", true); 

// Ustawienie standardu kodowania znaków
$client->soap_defencoding = 'UTF-8';
$client->decode_utf8 = false;

// Wywołanie metody getConfigProfiles z przekazaniem wszystkich parametrów
$output = $client->call('getConfigProfiles',
		    array(
		        'login' => $sLogin,
		        'api_pass' => $sApiPass,
		    	'msg_type' => $iMsgType
		    )
		);

// Przykład obsługi danych wyjściowych:
echo "Status żądania: ".$output['result'].", kod statusu żądania: ".$output['result_code'].", opis statusu żądania: ".$output['result_description']."<br />";
for($i=0; $i<count($output['config_profiles']); $i++)
{
	echo "<br />".($i+1).". Nazwa konfiguracji: ".$output['config_profiles'][$i]['config_name'].", ID konfiguracji: ".$output['config_profiles'][$i]['config_id'].", Rodzaj papieru: ".$output['config_profiles'][$i]['paper_type'].", Wydruk dokumentów: ".$output['config_profiles'][$i]['paper_print_type'].", Rodzaj koperty: ".$output['config_profiles'][$i]['envelope_type'].", Nazwa szablonu koperty: ".$output['config_profiles'][$i]['envelope_template'].", Wydruk koperty: ".$output['config_profiles'][$i]['envelope_print_type'].", Operator pocztowy: ".$output['config_profiles'][$i]['carrier'].", Typ przesyłki: ".$output['config_profiles'][$i]['dispatch_type'];	
}
?>